Exchange 2000 SP3 Patches

Posted on January 8, 2009 by Daniel Petri in Exchange Server with 0 Comments

Exchange 2000 Server SP3 Patches

SP3 info

You can download SP3 for Exchange 2000 right here:

Download Exchange 2000 SP3 (165mb)

Required Patches

If you’re running Exchange 2000 with SP3 on a Windows 2000 box with SP4 you should apply the following security-related patches:

April 2005

MS05-021 : Vulnerability in Exchange Server Could Allow Remote Code Execution (894549)

February 2005

MS05-012 : Vulnerability in OLE and COM Could Allow Remote Code Execution (873333)

August 2004

Update Rollup for Exchange 2000 (KB870540)

This Update Rollup resolves problems that were found in Exchange 2000 since Exchange 2000 SP3 was released.

Sponsored